Skip to main content
GET
/
project-settings
Get project settings
curl --request GET \
  --url https://api.qonversion.io/v4/project-settings \
  --header 'Authorization: Bearer <token>'
{
  "object": "project_settings",
  "url": "/v4/project-settings",
  "project_name": "My App",
  "access_token": "<string>",
  "api_key": "<string>",
  "secret_key": "<string>",
  "proxy_url": "<string>",
  "rtdn_proxy_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using the project Secret Key (prefixed with sk_, or test_sk_ for sandbox). All v4 public endpoints require the Secret Key — see Authentication. Never expose the Secret Key in client-side code.

Response

Project settings.

object
enum<string>
required
Available options:
project_settings
url
string
required
Example:

"/v4/project-settings"

project_name
string
required

Project display name.

Example:

"My App"

access_token
string
required

Project access token.

api_key
string
required

Project API key.

secret_key
string
required

Project secret key.

proxy_url
string | null

Custom proxy URL.

rtdn_proxy_url
string | null

RTDN proxy URL.